<?php $uscanada_map_t = $this->options; ?>

<form method="post" action="<?php echo esc_html__(admin_url('/')); ?>admin.php?page=uscanada-map-t">
<div id="map-admin">

  <div id="map-header">
    <p class="map-shortcode">Insert this shortcode <input type="text" value="[uscanada_map_t]" readonly> in any page or post to display the map. &nbsp; | &nbsp; <span class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></span></p>
    <p class="map-sample">This is a free map trial with few clickable states/provinces but it has all the features and functionalities in the premium map.<br>You need to purchase and install the <a href="https://www.wpmapplugins.com/interactive-us-canada-map-wordpress-plugin.html"><strong>Premium US-Canada Map</strong></a> to get the full map. Feel free to <a href="https://www.wpmapplugins.com/assets/contact.html" target="_blank">contact</a> us if you have any questions or need any help.</p>
  </div>

  <div id="map-page">

    <div class="map-col-lt">
      <div id="map-preview">
        <?php include 'map.php'; ?>
      </div>
    </div><!-- map-col-lt -->

    <!-- General Map Colors -->
    <div class="map-col-rt">
      <div class="map-settings">
        <div class="box-header shape-icon">General Settings</div>
        <div class="box-body">
          <div class="general-box"><span class="general-set i-border">Border Color</span>
            <input type="text" name="uscanadabrdrclr_t" value="<?php echo esc_attr__($uscanada_map_t['uscanadabrdrclr_t']); ?>" class="color-field" />
          </div>
          <div class="general-box"><span class="general-set i-abbs">Visible Names</span>
            <input type="text" name="uscanadavisns_t" value="<?php echo esc_attr__($uscanada_map_t['uscanadavisns_t']); ?>" class="color-field" />
          </div>
          <div class="general-box"><span class="general-set i-lakes">Lakes Fill</span>
            <input type="text" name="uscanadalakesfill_t" value="<?php echo esc_attr__($uscanada_map_t['uscanadalakesfill_t']); ?>" class="color-field" />
          </div>
          <div class="general-box"><span class="general-set i-lakesout">Lakes Outline</span>
            <input type="text" name="uscanadalakesout_t" value="<?php echo esc_attr__($uscanada_map_t['uscanadalakesout_t']); ?>" class="color-field" />
          </div>
        </div><!-- box-body -->
      </div><!-- map-settings -->
      <p>Make "<a href="#bulk">Bulk Edit</a>".</p>
    </div><!-- map-col-rt -->

  </div><!-- map-page -->

  <div class="map-settings areas-settings">
    <div class="box-header individ-i">Settings for Canada</div>
    <div class="box-body">

      <div class="map-area"><p class="area-name">ALBERTA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_1" value="1" <?php if ($uscanada_map_t['enbl_1'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_1" value="<?php echo esc_attr__($uscanada_map_t['upclr_1']); ?>" class="color-field" /></p>  
            <p><label>Hover Color</label><input type="text" name="ovrclr_1" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_1']); ?>" class="color-field" /></p> 
            <p><label>Click Color</label><input type="text" name="dwnclr_1" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_1']); ?>" class="color-field" /></p>
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_1" value="<?php echo esc_attr__($uscanada_map_t['url_1']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_1">
                <option value="_self" <?php if ($uscanada_map_t['turl_1'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_1'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_1'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_1"><?php echo esc_html__($uscanada_map_t['info_1']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">BRITISH COLUMBIA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_2" value="1" <?php if ($uscanada_map_t['enbl_2'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_2" value="<?php echo esc_attr__($uscanada_map_t['upclr_2']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_2" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_2']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_2" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_2']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_2" value="<?php echo esc_attr__($uscanada_map_t['url_2']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_2">
                <option value="_self" <?php if ($uscanada_map_t['turl_2'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_2'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_2'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_2"><?php echo esc_html__($uscanada_map_t['info_2']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">MANITOBA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_3" value="1" <?php if ($uscanada_map_t['enbl_3'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_3" value="<?php echo esc_attr__($uscanada_map_t['upclr_3']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_3" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_3']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_3" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_3']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_3" value="<?php echo esc_attr__($uscanada_map_t['url_3']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_3">
                <option value="_self" <?php if ($uscanada_map_t['turl_3'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_3'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_3'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_3"><?php echo esc_html__($uscanada_map_t['info_3']); ?></textarea></p></div>
        </div>
      </div>

    </div><!-- box-body / for areas -->
  </div><!-- map-settings / for areas -->
  <br>
  <div class="map-settings areas-settings">
    <div class="box-header individ-i">Settings for the US</div>
    <div class="box-body">

      <div class="map-area"><p class="area-name">ALABAMA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_4" value="1" <?php if ($uscanada_map_t['enbl_4'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_4" value="<?php echo esc_attr__($uscanada_map_t['upclr_4']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_4" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_4']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_4" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_4']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_4" value="<?php echo esc_attr__($uscanada_map_t['url_4']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_4">
                <option value="_self" <?php if ($uscanada_map_t['turl_4'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_4'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_4'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_4"><?php echo esc_html__($uscanada_map_t['info_4']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">ALASKA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_5" value="1" <?php if ($uscanada_map_t['enbl_5'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_5" value="<?php echo esc_attr__($uscanada_map_t['upclr_5']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_5" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_5']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_5" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_5']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_5" value="<?php echo esc_attr__($uscanada_map_t['url_5']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_5">
                <option value="_self" <?php if ($uscanada_map_t['turl_5'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_5'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_5'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_5"><?php echo esc_html__($uscanada_map_t['info_5']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">ARIZONA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_6" value="1" <?php if ($uscanada_map_t['enbl_6'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_6" value="<?php echo esc_attr__($uscanada_map_t['upclr_6']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_6" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_6']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_6" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_6']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_6" value="<?php echo esc_attr__($uscanada_map_t['url_6']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_6">
                <option value="_self" <?php if ($uscanada_map_t['turl_6'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_6'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_6'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_6"><?php echo esc_html__($uscanada_map_t['info_6']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">ARKANSAS</p>
        <span class="chkbx"><input type="checkbox" name="enbl_7" value="1" <?php if ($uscanada_map_t['enbl_7'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_7" value="<?php echo esc_attr__($uscanada_map_t['upclr_7']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_7" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_7']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_7" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_7']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_7" value="<?php echo esc_attr__($uscanada_map_t['url_7']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_7">
                <option value="_self" <?php if ($uscanada_map_t['turl_7'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_7'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_7'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_7"><?php echo esc_html__($uscanada_map_t['info_7']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">CALIFORNIA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_8" value="1" <?php if ($uscanada_map_t['enbl_8'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_8" value="<?php echo esc_attr__($uscanada_map_t['upclr_8']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_8" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_8']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_8" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_8']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_8" value="<?php echo esc_attr__($uscanada_map_t['url_8']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_8">
                <option value="_self" <?php if ($uscanada_map_t['turl_8'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_8'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_8'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_8"><?php echo esc_html__($uscanada_map_t['info_8']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">COLORADO</p>
        <span class="chkbx"><input type="checkbox" name="enbl_9" value="1" <?php if ($uscanada_map_t['enbl_9'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_9" value="<?php echo esc_attr__($uscanada_map_t['upclr_9']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_9" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_9']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_9" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_9']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_9" value="<?php echo esc_attr__($uscanada_map_t['url_9']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_9">
                <option value="_self" <?php if ($uscanada_map_t['turl_9'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_9'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_9'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_9"><?php echo esc_html__($uscanada_map_t['info_9']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">CONNECTICUT</p>
        <span class="chkbx"><input type="checkbox" name="enbl_10" value="1" <?php if ($uscanada_map_t['enbl_10'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_10" value="<?php echo esc_attr__($uscanada_map_t['upclr_10']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_10" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_10']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_10" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_10']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_10" value="<?php echo esc_attr__($uscanada_map_t['url_10']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_10">
                <option value="_self" <?php if ($uscanada_map_t['turl_10'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_10'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_10'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_10"><?php echo esc_html__($uscanada_map_t['info_10']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">DELAWARE</p>
        <span class="chkbx"><input type="checkbox" name="enbl_11" value="1" <?php if ($uscanada_map_t['enbl_11'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_11" value="<?php echo esc_attr__($uscanada_map_t['upclr_11']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_11" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_11']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_11" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_11']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_11" value="<?php echo esc_attr__($uscanada_map_t['url_11']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_11">
                <option value="_self" <?php if ($uscanada_map_t['turl_11'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_11'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_11'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_11"><?php echo esc_html__($uscanada_map_t['info_11']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">FLORIDA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_12" value="1" <?php if ($uscanada_map_t['enbl_12'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_12" value="<?php echo esc_attr__($uscanada_map_t['upclr_12']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_12" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_12']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_12" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_12']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_12" value="<?php echo esc_attr__($uscanada_map_t['url_12']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_12">
                <option value="_self" <?php if ($uscanada_map_t['turl_12'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_12'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_12'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_12"><?php echo esc_html__($uscanada_map_t['info_12']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">GEORGIA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_13" value="1" <?php if ($uscanada_map_t['enbl_13'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_13" value="<?php echo esc_attr__($uscanada_map_t['upclr_13']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_13" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_13']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_13" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_13']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_13" value="<?php echo esc_attr__($uscanada_map_t['url_13']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_13">
                <option value="_self" <?php if ($uscanada_map_t['turl_13'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_13'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_13'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_13"><?php echo esc_html__($uscanada_map_t['info_13']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">HAWAII</p>
        <span class="chkbx"><input type="checkbox" name="enbl_14" value="1" <?php if ($uscanada_map_t['enbl_14'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_14" value="<?php echo esc_attr__($uscanada_map_t['upclr_14']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_14" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_14']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_14" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_14']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_14" value="<?php echo esc_attr__($uscanada_map_t['url_14']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_14">
                <option value="_self" <?php if ($uscanada_map_t['turl_14'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_14'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_14'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_14"><?php echo esc_html__($uscanada_map_t['info_14']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">IDAHO</p>
        <span class="chkbx"><input type="checkbox" name="enbl_15" value="1" <?php if ($uscanada_map_t['enbl_15'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_15" value="<?php echo esc_attr__($uscanada_map_t['upclr_15']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_15" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_15']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_15" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_15']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_15" value="<?php echo esc_attr__($uscanada_map_t['url_15']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_15">
                <option value="_self" <?php if ($uscanada_map_t['turl_15'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_15'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_15'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_15"><?php echo esc_html__($uscanada_map_t['info_15']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">ILLINOIS</p>
        <span class="chkbx"><input type="checkbox" name="enbl_16" value="1" <?php if ($uscanada_map_t['enbl_16'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_16" value="<?php echo esc_attr__($uscanada_map_t['upclr_16']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_16" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_16']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_16" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_16']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_16" value="<?php echo esc_attr__($uscanada_map_t['url_16']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_16">
                <option value="_self" <?php if ($uscanada_map_t['turl_16'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_16'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_16'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_16"><?php echo esc_html__($uscanada_map_t['info_16']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">INDIANA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_17" value="1" <?php if ($uscanada_map_t['enbl_17'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_17" value="<?php echo esc_attr__($uscanada_map_t['upclr_17']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_17" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_17']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_17" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_17']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_17" value="<?php echo esc_attr__($uscanada_map_t['url_17']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_17">
                <option value="_self" <?php if ($uscanada_map_t['turl_17'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_17'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_17'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_17"><?php echo esc_html__($uscanada_map_t['info_17']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">IOWA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_18" value="1" <?php if ($uscanada_map_t['enbl_18'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_18" value="<?php echo esc_attr__($uscanada_map_t['upclr_18']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_18" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_18']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_18" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_18']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_18" value="<?php echo esc_attr__($uscanada_map_t['url_18']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_18">
                <option value="_self" <?php if ($uscanada_map_t['turl_18'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_18'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_18'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_18"><?php echo esc_html__($uscanada_map_t['info_18']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">KANSAS</p>
        <span class="chkbx"><input type="checkbox" name="enbl_19" value="1" <?php if ($uscanada_map_t['enbl_19'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_19" value="<?php echo esc_attr__($uscanada_map_t['upclr_19']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_19" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_19']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_19" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_19']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_19" value="<?php echo esc_attr__($uscanada_map_t['url_19']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_19">
                <option value="_self" <?php if ($uscanada_map_t['turl_19'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_19'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_19'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_19"><?php echo esc_html__($uscanada_map_t['info_19']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">KENTUCKY</p>
        <span class="chkbx"><input type="checkbox" name="enbl_20" value="1" <?php if ($uscanada_map_t['enbl_20'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_20" value="<?php echo esc_attr__($uscanada_map_t['upclr_20']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_20" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_20']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_20" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_20']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_20" value="<?php echo esc_attr__($uscanada_map_t['url_20']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_20">
                <option value="_self" <?php if ($uscanada_map_t['turl_20'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_20'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_20'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_20"><?php echo esc_html__($uscanada_map_t['info_20']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">LOUISIANA</p>
        <span class="chkbx"><input type="checkbox" name="enbl_21" value="1" <?php if ($uscanada_map_t['enbl_21'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_21" value="<?php echo esc_attr__($uscanada_map_t['upclr_21']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_21" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_21']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_21" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_21']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_21" value="<?php echo esc_attr__($uscanada_map_t['url_21']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_21">
                <option value="_self" <?php if ($uscanada_map_t['turl_21'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_21'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_21'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_21"><?php echo esc_html__($uscanada_map_t['info_21']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">MAINE</p>
        <span class="chkbx"><input type="checkbox" name="enbl_22" value="1" <?php if ($uscanada_map_t['enbl_22'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_22" value="<?php echo esc_attr__($uscanada_map_t['upclr_22']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_22" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_22']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_22" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_22']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_22" value="<?php echo esc_attr__($uscanada_map_t['url_22']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_22">
                <option value="_self" <?php if ($uscanada_map_t['turl_22'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_22'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_22'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_22"><?php echo esc_html__($uscanada_map_t['info_22']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">MARYLAND</p>
        <span class="chkbx"><input type="checkbox" name="enbl_23" value="1" <?php if ($uscanada_map_t['enbl_23'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_23" value="<?php echo esc_attr__($uscanada_map_t['upclr_23']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_23" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_23']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_23" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_23']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_23" value="<?php echo esc_attr__($uscanada_map_t['url_23']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_23">
                <option value="_self" <?php if ($uscanada_map_t['turl_23'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_23'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_23'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_23"><?php echo esc_html__($uscanada_map_t['info_23']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name">MASSACHUSETTS</p>
        <span class="chkbx"><input type="checkbox" name="enbl_24" value="1" <?php if ($uscanada_map_t['enbl_24'] == '1'){echo " checked";} ?>>&nbsp;Active</span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_24" value="<?php echo esc_attr__($uscanada_map_t['upclr_24']); ?>" class="color-field" /></p>              
            <p><label>Hover Color</label><input type="text" name="ovrclr_24" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_24']); ?>" class="color-field" /></p>              
            <p><label>Click Color</label><input type="text" name="dwnclr_24" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_24']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_24" value="<?php echo esc_attr__($uscanada_map_t['url_24']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_24">
                <option value="_self" <?php if ($uscanada_map_t['turl_24'] == '_self'){ echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_24'] == '_blank'){ echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_24'] == 'none'){ echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_24"><?php echo esc_html__($uscanada_map_t['info_24']); ?></textarea></p></div>
        </div>
      </div>

    </div><!-- box-body / for areas -->
  </div><!-- map-settings / for areas -->


  <br>
  <div id="bulk" class="map-settings">
    <div class="box-header bulk-i">Bulk Edit</div>
    <div class="box-body">
      <div class="map-area"><p class="area-name">COLORS</p>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label>Up Color</label><input type="text" name="upclr_all" value="<?php echo esc_attr__($uscanada_map_t['upclr_1']); ?>" class="color-field" /></p>
            <p><label>Hover Color</label><input type="text" name="ovrclr_all" value="<?php echo esc_attr__($uscanada_map_t['ovrclr_1']); ?>" class="color-field" /></p> 
            <p><label>Click Color</label><input type="text" name="dwnclr_all" value="<?php echo esc_attr__($uscanada_map_t['dwnclr_1']); ?>" class="color-field" /></p>             
          </div><hr>
          <p><span class="submitbulk"><input type="submit" class="button button-primary" name="submit-clrs" value="Overwrite Colors"></span> <strong>Note: Clicking this button will overwrite the colors of the <u>entire</u> map.</strong></p>
        </div>
      </div>
      <div class="map-area"><p class="area-name">LINK</p>
        <div class="inner-content">
          <div class="area-url">
            <p class="link"><label>Link</label><input type="text" name="url_all" value="<?php echo esc_attr__($uscanada_map_t['url_1']); ?>" /></p>
            <p><label>Target</label>
              <select name="turl_all">
                <option value="_self" <?php if ($uscanada_map_t['turl_1'] == '_self') { echo "selected"; } ?>>Same Page</option>
                <option value="_blank" <?php if ($uscanada_map_t['turl_1'] == '_blank') { echo "selected"; } ?>>New Page</option>
                <option value="none" <?php if ($uscanada_map_t['turl_1'] == 'none') { echo "selected"; } ?>>Modal / None</option>
              </select>
            </p>
          </div><hr>              
          <p><span class="submitbulk"><input type="submit" class="button button-primary" name="submit-url" value="Overwrite Links"></span> <strong>Note: Clicking this button will overwrite the links of <u>all</u> the areas.</strong></p>
        </div>
      </div>
      <div class="map-area"><p class="area-name">INFO.</p>
        <div class="inner-content">
          <div class="info">
            <p><textarea rows="3" name="info_all"><?php echo esc_html__($uscanada_map_t['info_1']); ?></textarea></p>
          </div><hr>
          <p><span class="submitbulk"><input type="submit" class="button button-primary" name="submit-info" value="Overwrite Info."></span> <strong>Note: Clicking this button will overwrite the info. of <u>all</u> the areas.</strong></p>
        </div>
      </div>
    </div><!-- box-body / for bulk -->
  </div><!-- map-settings / for bulk -->

  <input type="hidden" name="uscanada_map_t">
  <?php
  settings_fields(__FILE__);
  do_settings_sections(__FILE__);
  ?>

  <p class="restore-default-btn">
    <input type="submit" name="restore_default" class="button" value="Restore Default">
  </p>

    <div class="scroll-top"><span class="scroll-top-icon"></span></div>
    <!--scroll-top script-->
    <script>
      jQuery(function(){jQuery(document).on( 'scroll', function(){ if (jQuery(window).scrollTop() > 100) {jQuery('.scroll-top').addClass('show');} else {jQuery('.scroll-top').removeClass('show');}});jQuery('.scroll-top').on('click', scrollToTop);});function scrollToTop() {verticalOffset = typeof(verticalOffset) != 'undefined' ? verticalOffset : 0;element = jQuery('body');offset = element.offset();offsetTop = offset.top -32;jQuery('html, body').animate({scrollTop: offsetTop}, 500, 'linear');}
    </script>

</div><!-- map-admin -->
</form>
